-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local function onInit()
    electrics.values['clockh'] = 0
    electrics.values['clockmin'] = 0
end

local function reset()
    onInit()
end

local function updateGFX(dt)
	local dateTime = os.date("*t", os.time())
	local psec = dateTime.sec / 60
	local pmin = (dateTime.min + psec) / 60
	local ph = (dateTime.hour % 12) / 12 + (pmin) / 12
	electrics.values['clockS'] = psec
	electrics.values['clockM'] = pmin
	electrics.values['clockH'] = ph
end

-- public interface
M.onInit    = onInit
M.onReset   = reset
M.updateGFX = updateGFX

return M